ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/REPOS_ERICCA/magicsld/Commun.vb
(Generate patch)

Comparing magicsld/Commun.vb (file contents):
Revision 47 by bournival, Mon Aug 20 21:30:28 2007 UTC vs.
Revision 48 by bournival, Wed Aug 22 21:18:12 2007 UTC

# Line 1 | Line 1
1 + Imports SolidWorks.Interop
2 + Imports SolidWorks.Interop.swconst
3 + Imports SolidWorks.Interop.swpublished
4 +
5   Module Commun
6  
7      Public Const Pi As Double = 3.1415926535897931
# Line 205 | Line 209 | Module Commun
209          Call SuperArete.reinitialiser()
210          Call SuperSommet.reinitialiser()
211  
212 <        vBodies = swPart.GetBodies2(SwConst.swBodyType_e.swSolidBody, True)
212 >        vBodies = swPart.GetBodies2(swconst.swBodyType_e.swSolidBody, True)
213          If Not vBodies Is Nothing Then
214              For v = 0 To UBound(vBodies)
215                  swBody = vBodies(v)
# Line 355 | Line 359 | Module Commun
359                                  body = swFace.GetBody
360  
361  
362 <                                If Not (body.GetType = SwConst.swBodyType_e.swSolidBody) Then  ' si le body est quelquechose de solide alors on a le feature Pline d'un solide....
362 >                                If Not (body.GetType = swconst.swBodyType_e.swSolidBody) Then  ' si le body est quelquechose de solide alors on a le feature Pline d'un solide....
363  
364                                      slyFace = trouver(swFace, tipe_e.coque)
365                                      If slyFace Is Nothing Then
# Line 649 | Line 653 | suite:
653      Public Function trouver(ByRef swEnt As SldWorks.Entity) As Object
654          Dim face As SldWorks.Face2
655          Select Case swEnt.GetType()
656 <            Case SwConst.swSelectType_e.swSelFACES
656 >            Case swconst.swSelectType_e.swSelFACES
657                  Dim swface As SldWorks.Face2
658                  Dim f As SlyFaceVolume
659                  swface = swEnt
# Line 668 | Line 672 | suite:
672                  Next
673  
674  
675 <            Case SwConst.swSelectType_e.swSelEDGES
675 >            Case swconst.swSelectType_e.swSelEDGES
676                  Dim swArete As SldWorks.Edge
677                  swArete = swEnt
678                  Dim test As Object
# Line 681 | Line 685 | suite:
685  
686  
687  
688 <            Case SwConst.swSelectType_e.swSelVERTICES
688 >            Case swconst.swSelectType_e.swSelVERTICES
689                  Dim swSommet As SldWorks.Vertex
690                  swSommet = swEnt
691  
# Line 1306 | Line 1310 | suite:
1310  
1311      Public Sub SelectFaceByName(ByVal Nom As String, Optional ByVal append As Boolean = False)
1312          Dim swent As SldWorks.Entity
1313 <        swent = swPart.GetEntityByName(Nom, SwConst.swSelectType_e.swSelFACES)
1313 >        swent = swPart.GetEntityByName(Nom, swconst.swSelectType_e.swSelFACES)
1314          swent.Select4(append, Nothing)
1315      End Sub
1316  
1317      Public Sub SelectAreteByName(ByVal Nom As String, Optional ByVal append As Boolean = False)
1318          Dim swent As SldWorks.Entity
1319 <        swent = swPart.GetEntityByName(Nom, SwConst.swSelectType_e.swSelEDGES)
1319 >        swent = swPart.GetEntityByName(Nom, swconst.swSelectType_e.swSelEDGES)
1320          swent.Select4(append, Nothing)
1321      End Sub
1322  
1323      Public Sub SelectSommetByName(ByVal Nom As String, Optional ByVal append As Boolean = False)
1324          Dim swent As SldWorks.Entity
1325 <        swent = swPart.GetEntityByName(Nom, SwConst.swSelectType_e.swSelVERTICES)
1325 >        swent = swPart.GetEntityByName(Nom, swconst.swSelectType_e.swSelVERTICES)
1326          swent.Select4(append, Nothing)
1327      End Sub
1328  

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines